﻿package  {
	import flash.display.MovieClip;
	import flash.events.Event;
	import fl.transitions.Tween;
	import fl.motion.AnimatorFactory;
	import fl.motion.Animator;
	import fl.motion.AnimatorFactoryBase;
	import fl.motion.MotionBase;
	import fl.motion.KeyframeBase;
	import flash.geom.Point;
	
	public class Route extends MovieClip {
		var i: int = 0;
		
		private function onEveryFrame(e:Event) {
			var motion:MotionBase = (myPath as AnimatorFactory).motion;
			i = (i + 1) % motion.duration;
			
			if (i == 0)
				resetGraphics();
			
			var frame:KeyframeBase = motion.getCurrentKeyframe(i);
			graphics.lineTo(frame.x, frame.y);
		}
		
		private function resetGraphics() {
			graphics.clear();
			graphics.lineStyle(1.0, 0xFF0000);
			graphics.moveTo(0, 0);
		}
		
		public function Route() {
			resetGraphics();
			addEventListener(Event.ENTER_FRAME, onEveryFrame);
		}
	}
}
